Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1199820 - Review Request: nodejs-yauzl - Yet another unzip library for node
Summary: Review Request: nodejs-yauzl - Yet another unzip library for node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1199814 1199819
Blocks: nodejs-reviews 1177550
TreeView+ depends on / blocked
 
Reported: 2015-03-08 16:24 UTC by Piotr Popieluch
Modified: 2016-03-09 20:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 15:53:23 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-03-08 16:24:38 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-yauzl.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-yauzl-2.2.1-1.fc21.src.rpm
Description: Yet another unzip library for node
Fedora Account System Username: piotrp

Comment 2 Jared Smith 2016-02-23 15:27:49 UTC
Please update to the latest upstream release.  Otherwise, package is approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-yauzl-2.3.1-1.fc24.noarch.rpm
          nodejs-yauzl-2.3.1-1.fc24.src.rpm
nodejs-yauzl.noarch: W: only-non-binary-in-usr-lib
nodejs-yauzl.noarch: W: dangling-symlink /usr/lib/node_modules/yauzl/node_modules/pend /usr/lib/node_modules/pend
nodejs-yauzl.noarch: W: dangling-symlink /usr/lib/node_modules/yauzl/node_modules/fd-slicer /usr/lib/node_modules/fd-slicer
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-yauzl.noarch: W: only-non-binary-in-usr-lib
nodejs-yauzl.noarch: W: dangling-symlink /usr/lib/node_modules/yauzl/node_modules/pend /usr/lib/node_modules/pend
nodejs-yauzl.noarch: W: dangling-symlink /usr/lib/node_modules/yauzl/node_modules/fd-slicer /usr/lib/node_modules/fd-slicer
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-yauzl (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(fd-slicer)
    npm(pend)



Provides
--------
nodejs-yauzl:
    nodejs-yauzl
    npm(yauzl)



Source checksums
----------------
https://github.com/thejoshwolfe/yauzl/archive/4c86fdb8a3467d68adfa1223fa1d656fe4125b40/yauzl-4c86fdb8a3467d68adfa1223fa1d656fe4125b40.tar.gz :
  CHECKSUM(SHA256) this package     : ddc8c474738cbfbe020f53680e5b5fd33b852afc0482eb76bee6062b6da3eb94
  CHECKSUM(SHA256) upstream package : ddc8c474738cbfbe020f53680e5b5fd33b852afc0482eb76bee6062b6da3eb94


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1199820
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jared Smith 2016-02-26 15:53:41 UTC
Package is approved.

Comment 5 Gwyn Ciesla 2016-02-26 17:31:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-yauzl

Comment 6 Fedora Update System 2016-02-27 21:18:36 UTC
nodejs-yauzl-2.4.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b907b861f

Comment 7 Fedora Update System 2016-02-28 13:53:33 UTC
nodejs-yauzl-2.4.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b907b861f

Comment 8 Fedora Update System 2016-03-09 15:53:21 UTC
nodejs-yauzl-2.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-09 20:13:01 UTC
nodejs-yauzl-2.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.